<h3>missing language Keys for all avail Languages based on the English common.lang.php</h3>

<?php
//Main Language
$lang = array();
$fname = "common.lang.php";
include("en/c$fname");
$EN = $lang;

if ($handle = opendir('./')) {
    while (false !== ($langdir = readdir($handle))) {
    	if (is_dir($langdir) && !preg_match('/\.{1,2}/',$langdir) && $langdir != "en") {
    		$LANG = array();
			include("$langdir/$fname");
    		echo "<b>$langdir</b><br />";
    		$diff = array_diff_key($EN,$LANG);
    		if (!$diff) echo "no missing language keys";
    		else echo "<br />missing keys:<pre>" . print_r($diff,true) . "</pre>";
    		echo "<hr />";
    	}
    }
    closedir($handle);
}

?>

<h3>missing language Keys for all avail Languages based on the English common.lang.php</h3>

<?php
//Main Language
$lang = array();
$fname = "messages.lang.php";
include("en/c$fname");
$EN = $lang;

if ($handle = opendir('./')) {
    while (false !== ($langdir = readdir($handle))) {
        if (is_dir($langdir) && !preg_match('/\.{1,2}/',$langdir) && $langdir != "en") {
            $LANG = array();
            include("$langdir/$fname");
            echo "<b>$langdir</b><br />";
            $diff = array_diff_key($EN,$LANG);
            if (!$diff) echo "no missing language keys";
            else echo "<br />missing keys:<pre>" . print_r($diff,true) . "</pre>";
            echo "<hr />";
        }
    }
    closedir($handle);
}

?>